1. Crypto Checkout
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
          POST
        • Create Crypto Checkout Link
          POST
        • Crypto Checkout Wallet Connection
          POST
        • Generate POS Payment Request
          POST
        • Close Crypto Checkout
          POST
        • Get Convertible Cryptos
          GET
        • Get Supported Blockchains
          GET
        • Get Crypto Checkout
          GET
        • Get Crypto Checkout Link
          GET
        • Get Crypto Checkout Currencies
          GET
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Crypto Checkout

Create Crypto Checkout

Designing
POST
/v1.0/payment/crypto/createCryptoCheckout

API Overview

ItemValue
API StatusStable
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction

Description
Create a crypto checkout.

Mandatory buyer info:

fieldIndividual Buyer (<1000 USD)Individual Buyer (≥1000 USD)
fullLegalNamemandatorymandatory
residentialAddress-mandatory : Pick one of the three
identityNumber-mandatory : Pick one of the three
dateOfBirth & placeOfBirth-mandatory : Pick one of the three
字段Corporate Buyer (<1000 USD)Corporate Buyer (≥1000 USD)
companyNamemandatorymandatory
registeredAddress-mandatory : Pick one of the three
businessRegistrationNumber-mandatory : Pick one of the three
dateOfRegistration & countryOfIncorporation-mandatory : Pick one of the three

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "participantCode": "string",
    "amountToPay": 0,
    "currencyToPay": "string",
    "clientReference": "string",
    "paymentPurpose": {
        "subject": "string",
        "description": "string",
        "supportingDocuments": "string"
    },
    "buyerInfo": {
        "firstName": "string",
        "middleName": "string",
        "lastName": "string",
        "identityType": 1,
        "identityNumber": "string",
        "dateOfBirth": "2019-08-24",
        "placeOfBirth": "string",
        "residentialAddress": {
            "country": "string",
            "state": "string",
            "city": "string",
            "postcode": "string",
            "addressLine1": "string",
            "addressLine2": "string"
        }
    },
    "expiry": 0
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1.0/payment/crypto/createCryptoCheckout' \
--header 'Content-Type: application/json' \
--data-raw '{
    "participantCode": "string",
    "amountToPay": 0,
    "currencyToPay": "string",
    "clientReference": "string",
    "paymentPurpose": {
        "subject": "string",
        "description": "string",
        "supportingDocuments": "string"
    },
    "buyerInfo": {
        "firstName": "string",
        "middleName": "string",
        "lastName": "string",
        "identityType": 1,
        "identityNumber": "string",
        "dateOfBirth": "2019-08-24",
        "placeOfBirth": "string",
        "residentialAddress": {
            "country": "string",
            "state": "string",
            "city": "string",
            "postcode": "string",
            "addressLine1": "string",
            "addressLine2": "string"
        }
    },
    "expiry": 0
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "cryptoCheckoutId": "string",
        "participantCode": "string",
        "amountToPay": 0,
        "currencyToPay": "string",
        "clientReference": "string",
        "paymentPurpose": {
            "subject": "string",
            "description": "string",
            "supportingDocuments": "string"
        },
        "buyerInfo": {
            "firstName": "string",
            "middleName": "string",
            "lastName": "string",
            "identityType": 1,
            "identityNumber": "string",
            "dateOfBirth": "2019-08-24",
            "placeOfBirth": "string",
            "residentialAddress": {
                "country": "string",
                "state": "string",
                "city": "string",
                "postcode": "string",
                "addressLine1": "string",
                "addressLine2": "string"
            }
        },
        "checkoutWallets": {
            "walletKey": "string",
            "addressList": [
                {
                    "blockchain": "string",
                    "address": "string",
                    "acceptableCurrencies": [
                        "string"
                    ]
                }
            ]
        },
        "status": 1,
        "expiry": 0
    }
}
Modified at 2026-04-02 07:32:36
Previous
Crypto Checkout
Next
Create Crypto Checkout Link
Built with